# Form implementation generated from reading ui file 'src/eric7/CodeFormatting/IsortConfigurationDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_IsortConfigurationDialog(object):
    def setupUi(self, IsortConfigurationDialog):
        IsortConfigurationDialog.setObjectName("IsortConfigurationDialog")
        IsortConfigurationDialog.resize(750, 800)
        IsortConfigurationDialog.setSizeGripEnabled(True)
        self.gridLayout_2 = QtWidgets.QGridLayout(IsortConfigurationDialog)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.sourceComboBox = QtWidgets.QComboBox(parent=IsortConfigurationDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sourceComboBox.sizePolicy().hasHeightForWidth())
        self.sourceComboBox.setSizePolicy(sizePolicy)
        self.sourceComboBox.setObjectName("sourceComboBox")
        self.gridLayout_2.addWidget(self.sourceComboBox, 0, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=IsortConfigurationDialog)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 0, 0, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=IsortConfigurationDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout_2.addWidget(self.buttonBox, 2, 0, 1, 2)
        self.configurationGroup = QtWidgets.QGroupBox(parent=IsortConfigurationDialog)
        self.configurationGroup.setObjectName("configurationGroup")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.configurationGroup)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox_2 = QtWidgets.QGroupBox(parent=self.configurationGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.groupBox_2.sizePolicy().hasHeightForWidth())
        self.groupBox_2.setSizePolicy(sizePolicy)
        self.groupBox_2.setObjectName("groupBox_2")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.groupBox_2)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_14 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_14.setObjectName("label_14")
        self.horizontalLayout.addWidget(self.label_14)
        self.sortOrderComboBox = QtWidgets.QComboBox(parent=self.groupBox_2)
        self.sortOrderComboBox.setObjectName("sortOrderComboBox")
        self.horizontalLayout.addWidget(self.sortOrderComboBox)
        self.verticalLayout_3.addLayout(self.horizontalLayout)
        self.label_15 = QtWidgets.QLabel(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_15.sizePolicy().hasHeightForWidth())
        self.label_15.setSizePolicy(sizePolicy)
        self.label_15.setOpenExternalLinks(True)
        self.label_15.setObjectName("label_15")
        self.verticalLayout_3.addWidget(self.label_15)
        self.sortCaseSensitiveCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.sortCaseSensitiveCheckBox.setObjectName("sortCaseSensitiveCheckBox")
        self.verticalLayout_3.addWidget(self.sortCaseSensitiveCheckBox)
        self.sortIgnoreStyleCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.sortIgnoreStyleCheckBox.setObjectName("sortIgnoreStyleCheckBox")
        self.verticalLayout_3.addWidget(self.sortIgnoreStyleCheckBox)
        self.sortFromFirstCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.sortFromFirstCheckBox.setObjectName("sortFromFirstCheckBox")
        self.verticalLayout_3.addWidget(self.sortFromFirstCheckBox)
        spacerItem = QtWidgets.QSpacerItem(20, 13, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem)
        self.horizontalLayout_2.addLayout(self.verticalLayout_3)
        self.gridLayout_6 = QtWidgets.QGridLayout()
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.label_10 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_10.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_10.setObjectName("label_10")
        self.gridLayout_6.addWidget(self.label_10, 0, 0, 1, 1)
        self.label_17 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_17.setObjectName("label_17")
        self.gridLayout_6.addWidget(self.label_17, 0, 1, 1, 1)
        self.sectionsEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox_2)
        self.sectionsEdit.setObjectName("sectionsEdit")
        self.gridLayout_6.addWidget(self.sectionsEdit, 1, 0, 1, 1)
        self.firstPartyEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox_2)
        self.firstPartyEdit.setObjectName("firstPartyEdit")
        self.gridLayout_6.addWidget(self.firstPartyEdit, 1, 1, 1, 1)
        self.horizontalLayout_2.addLayout(self.gridLayout_6)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=self.configurationGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(3)
        sizePolicy.setHeightForWidth(self.groupBox_3.sizePolicy().hasHeightForWidth())
        self.groupBox_3.setSizePolicy(sizePolicy)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.label_16 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_16.setObjectName("label_16")
        self.gridLayout_5.addWidget(self.label_16, 0, 0, 1, 1)
        self.extensionsEdit = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.extensionsEdit.setClearButtonEnabled(True)
        self.extensionsEdit.setObjectName("extensionsEdit")
        self.gridLayout_5.addWidget(self.extensionsEdit, 0, 1, 1, 1)
        self.label_11 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_11.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_11.setObjectName("label_11")
        self.gridLayout_5.addWidget(self.label_11, 1, 0, 1, 1)
        self.excludeEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox_3)
        self.excludeEdit.setObjectName("excludeEdit")
        self.gridLayout_5.addWidget(self.excludeEdit, 1, 1, 1, 1)
        self.verticalLayout_2.addWidget(self.groupBox_3)
        self.groupBox = QtWidgets.QGroupBox(parent=self.configurationGroup)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout_4 = QtWidgets.QGridLayout()
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.multiLineComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        self.multiLineComboBox.setObjectName("multiLineComboBox")
        self.gridLayout_4.addWidget(self.multiLineComboBox, 2, 1, 1, 1)
        self.profileComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        self.profileComboBox.setEditable(True)
        self.profileComboBox.setObjectName("profileComboBox")
        self.gridLayout_4.addWidget(self.profileComboBox, 0, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_3.setObjectName("label_3")
        self.gridLayout_4.addWidget(self.label_3, 1, 0, 1, 1)
        self.pythonComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        self.pythonComboBox.setObjectName("pythonComboBox")
        self.gridLayout_4.addWidget(self.pythonComboBox, 1, 1, 1, 1)
        self.label_13 = QtWidgets.QLabel(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_13.sizePolicy().hasHeightForWidth())
        self.label_13.setSizePolicy(sizePolicy)
        self.label_13.setOpenExternalLinks(True)
        self.label_13.setObjectName("label_13")
        self.gridLayout_4.addWidget(self.label_13, 0, 2, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_4.setObjectName("label_4")
        self.gridLayout_4.addWidget(self.label_4, 2, 0, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(198, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_4.addItem(spacerItem1, 1, 2, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_2.setObjectName("label_2")
        self.gridLayout_4.addWidget(self.label_2, 0, 0, 1, 1)
        self.label_12 = QtWidgets.QLabel(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_12.sizePolicy().hasHeightForWidth())
        self.label_12.setSizePolicy(sizePolicy)
        self.label_12.setOpenExternalLinks(True)
        self.label_12.setObjectName("label_12")
        self.gridLayout_4.addWidget(self.label_12, 2, 2, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout_4)
        self.gridLayout_3 = QtWidgets.QGridLayout()
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_5.setObjectName("label_5")
        self.gridLayout_3.addWidget(self.label_5, 0, 0, 1, 1)
        self.lineLengthSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.lineLengthSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.lineLengthSpinBox.setMinimum(70)
        self.lineLengthSpinBox.setMaximum(120)
        self.lineLengthSpinBox.setProperty("value", 79)
        self.lineLengthSpinBox.setObjectName("lineLengthSpinBox")
        self.gridLayout_3.addWidget(self.lineLengthSpinBox, 0, 1, 1, 2)
        spacerItem2 = QtWidgets.QSpacerItem(388, 17, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem2, 0, 3, 1, 6)
        self.label_6 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_6.setObjectName("label_6")
        self.gridLayout_3.addWidget(self.label_6, 1, 0, 1, 1)
        self.linesBeforeImportsSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.linesBeforeImportsSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.linesBeforeImportsSpinBox.setMinimum(-1)
        self.linesBeforeImportsSpinBox.setMaximum(5)
        self.linesBeforeImportsSpinBox.setProperty("value", -1)
        self.linesBeforeImportsSpinBox.setObjectName("linesBeforeImportsSpinBox")
        self.gridLayout_3.addWidget(self.linesBeforeImportsSpinBox, 1, 1, 1, 3)
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem3, 1, 4, 1, 1)
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_7.setObjectName("label_7")
        self.gridLayout_3.addWidget(self.label_7, 1, 5, 1, 1)
        self.linesAfterImportsSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.linesAfterImportsSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.linesAfterImportsSpinBox.setMinimum(-1)
        self.linesAfterImportsSpinBox.setMaximum(120)
        self.linesAfterImportsSpinBox.setProperty("value", -1)
        self.linesAfterImportsSpinBox.setObjectName("linesAfterImportsSpinBox")
        self.gridLayout_3.addWidget(self.linesAfterImportsSpinBox, 1, 6, 1, 2)
        spacerItem4 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem4, 1, 8, 1, 1)
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_8.setObjectName("label_8")
        self.gridLayout_3.addWidget(self.label_8, 2, 0, 1, 1)
        self.linesBetweenSectionsSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.linesBetweenSectionsSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.linesBetweenSectionsSpinBox.setMinimum(0)
        self.linesBetweenSectionsSpinBox.setMaximum(5)
        self.linesBetweenSectionsSpinBox.setProperty("value", 1)
        self.linesBetweenSectionsSpinBox.setObjectName("linesBetweenSectionsSpinBox")
        self.gridLayout_3.addWidget(self.linesBetweenSectionsSpinBox, 2, 1, 1, 1)
        spacerItem5 = QtWidgets.QSpacerItem(88, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem5, 2, 2, 1, 3)
        self.label_9 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_9.setObjectName("label_9")
        self.gridLayout_3.addWidget(self.label_9, 2, 5, 1, 1)
        self.linesBetweenTypesSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.linesBetweenTypesSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.linesBetweenTypesSpinBox.setMinimum(0)
        self.linesBetweenTypesSpinBox.setMaximum(5)
        self.linesBetweenTypesSpinBox.setProperty("value", 0)
        self.linesBetweenTypesSpinBox.setObjectName("linesBetweenTypesSpinBox")
        self.gridLayout_3.addWidget(self.linesBetweenTypesSpinBox, 2, 6, 1, 1)
        spacerItem6 = QtWidgets.QSpacerItem(88, 24, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem6, 2, 7, 1, 2)
        self.trailingCommaCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.trailingCommaCheckBox.setObjectName("trailingCommaCheckBox")
        self.gridLayout_3.addWidget(self.trailingCommaCheckBox, 3, 0, 1, 5)
        self.parenthesesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.parenthesesCheckBox.setObjectName("parenthesesCheckBox")
        self.gridLayout_3.addWidget(self.parenthesesCheckBox, 3, 5, 1, 4)
        self.combineAsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.combineAsCheckBox.setObjectName("combineAsCheckBox")
        self.gridLayout_3.addWidget(self.combineAsCheckBox, 4, 0, 1, 5)
        self.verticalLayout.addLayout(self.gridLayout_3)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.gridLayout_2.addWidget(self.configurationGroup, 1, 0, 1, 2)

        self.retranslateUi(IsortConfigurationDialog)
        self.buttonBox.accepted.connect(IsortConfigurationDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(IsortConfigurationDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(IsortConfigurationDialog)
        IsortConfigurationDialog.setTabOrder(self.sourceComboBox, self.sortOrderComboBox)
        IsortConfigurationDialog.setTabOrder(self.sortOrderComboBox, self.label_15)
        IsortConfigurationDialog.setTabOrder(self.label_15, self.sortCaseSensitiveCheckBox)
        IsortConfigurationDialog.setTabOrder(self.sortCaseSensitiveCheckBox, self.sortIgnoreStyleCheckBox)
        IsortConfigurationDialog.setTabOrder(self.sortIgnoreStyleCheckBox, self.sortFromFirstCheckBox)
        IsortConfigurationDialog.setTabOrder(self.sortFromFirstCheckBox, self.sectionsEdit)
        IsortConfigurationDialog.setTabOrder(self.sectionsEdit, self.firstPartyEdit)
        IsortConfigurationDialog.setTabOrder(self.firstPartyEdit, self.extensionsEdit)
        IsortConfigurationDialog.setTabOrder(self.extensionsEdit, self.excludeEdit)
        IsortConfigurationDialog.setTabOrder(self.excludeEdit, self.profileComboBox)
        IsortConfigurationDialog.setTabOrder(self.profileComboBox, self.label_13)
        IsortConfigurationDialog.setTabOrder(self.label_13, self.pythonComboBox)
        IsortConfigurationDialog.setTabOrder(self.pythonComboBox, self.multiLineComboBox)
        IsortConfigurationDialog.setTabOrder(self.multiLineComboBox, self.label_12)
        IsortConfigurationDialog.setTabOrder(self.label_12, self.lineLengthSpinBox)
        IsortConfigurationDialog.setTabOrder(self.lineLengthSpinBox, self.linesBeforeImportsSpinBox)
        IsortConfigurationDialog.setTabOrder(self.linesBeforeImportsSpinBox, self.linesAfterImportsSpinBox)
        IsortConfigurationDialog.setTabOrder(self.linesAfterImportsSpinBox, self.linesBetweenSectionsSpinBox)
        IsortConfigurationDialog.setTabOrder(self.linesBetweenSectionsSpinBox, self.linesBetweenTypesSpinBox)
        IsortConfigurationDialog.setTabOrder(self.linesBetweenTypesSpinBox, self.trailingCommaCheckBox)
        IsortConfigurationDialog.setTabOrder(self.trailingCommaCheckBox, self.parenthesesCheckBox)
        IsortConfigurationDialog.setTabOrder(self.parenthesesCheckBox, self.combineAsCheckBox)

    def retranslateUi(self, IsortConfigurationDialog):
        _translate = QtCore.QCoreApplication.translate
        IsortConfigurationDialog.setWindowTitle(_translate("IsortConfigurationDialog", "isort Configuration"))
        self.sourceComboBox.setToolTip(_translate("IsortConfigurationDialog", "Select the configuration source."))
        self.label.setText(_translate("IsortConfigurationDialog", "Configuration Source:"))
        self.configurationGroup.setTitle(_translate("IsortConfigurationDialog", "Configuration"))
        self.groupBox_2.setTitle(_translate("IsortConfigurationDialog", "Sorting"))
        self.label_14.setText(_translate("IsortConfigurationDialog", "Sort Order:"))
        self.sortOrderComboBox.setToolTip(_translate("IsortConfigurationDialog", "Select the sort order (empty for default)."))
        self.label_15.setText(_translate("IsortConfigurationDialog", "<a href=\"https://pycqa.github.io/isort/docs/configuration/options.html#sort-order\">Defined Sort Orders</a>"))
        self.sortCaseSensitiveCheckBox.setToolTip(_translate("IsortConfigurationDialog", "Select to sort imports observing the case."))
        self.sortCaseSensitiveCheckBox.setText(_translate("IsortConfigurationDialog", "Sort Case Sensitively"))
        self.sortIgnoreStyleCheckBox.setToolTip(_translate("IsortConfigurationDialog", "Select to sort the imports by module, independent of import style"))
        self.sortIgnoreStyleCheckBox.setText(_translate("IsortConfigurationDialog", "Sort Ignoring Style"))
        self.sortFromFirstCheckBox.setToolTip(_translate("IsortConfigurationDialog", "Select to place from imports first then straight ones"))
        self.sortFromFirstCheckBox.setText(_translate("IsortConfigurationDialog", "Sort From First"))
        self.label_10.setText(_translate("IsortConfigurationDialog", "Sections:"))
        self.label_17.setText(_translate("IsortConfigurationDialog", "Known First Party Packages:"))
        self.sectionsEdit.setToolTip(_translate("IsortConfigurationDialog", "Enter the order of sections (one per line)."))
        self.firstPartyEdit.setToolTip(_translate("IsortConfigurationDialog", "Enter the known first party package names (one per line)."))
        self.groupBox_3.setTitle(_translate("IsortConfigurationDialog", "Input"))
        self.label_16.setText(_translate("IsortConfigurationDialog", "Supported Extensions:"))
        self.extensionsEdit.setToolTip(_translate("IsortConfigurationDialog", "Enter the supported extensions separated by space (empty for default)."))
        self.label_11.setText(_translate("IsortConfigurationDialog", "Exclude Patterns:"))
        self.excludeEdit.setToolTip(_translate("IsortConfigurationDialog", "Enter glob patterns for files to be skipped."))
        self.groupBox.setTitle(_translate("IsortConfigurationDialog", "Output"))
        self.multiLineComboBox.setToolTip(_translate("IsortConfigurationDialog", "Select the type of multi line import statements (see isort documentation)."))
        self.profileComboBox.setToolTip(_translate("IsortConfigurationDialog", "Enter a profile to be used (empty for none) (see isort documentation)."))
        self.label_3.setText(_translate("IsortConfigurationDialog", "Target Version:"))
        self.pythonComboBox.setToolTip(_translate("IsortConfigurationDialog", "Select the target Python version."))
        self.label_13.setText(_translate("IsortConfigurationDialog", "<a href=\"https://pycqa.github.io/isort/docs/configuration/profiles.html\">Built-In Profiles</a>"))
        self.label_4.setText(_translate("IsortConfigurationDialog", "Multi Line Output:"))
        self.label_2.setText(_translate("IsortConfigurationDialog", "Profile:"))
        self.label_12.setText(_translate("IsortConfigurationDialog", "<a href=\"https://pycqa.github.io/isort/docs/configuration/multi_line_output_modes.html\">Defined Multi Line Output Modes</a>"))
        self.label_5.setText(_translate("IsortConfigurationDialog", "Line Length:"))
        self.lineLengthSpinBox.setToolTip(_translate("IsortConfigurationDialog", "Enter the allowed maximum line length."))
        self.label_6.setText(_translate("IsortConfigurationDialog", "Lines Before Imports:"))
        self.linesBeforeImportsSpinBox.setToolTip(_translate("IsortConfigurationDialog", "Enter the number of lines before import statements."))
        self.linesBeforeImportsSpinBox.setSpecialValueText(_translate("IsortConfigurationDialog", "automatic"))
        self.label_7.setText(_translate("IsortConfigurationDialog", "Lines After Imports:"))
        self.linesAfterImportsSpinBox.setToolTip(_translate("IsortConfigurationDialog", "Enter the number of lines after import statements."))
        self.linesAfterImportsSpinBox.setSpecialValueText(_translate("IsortConfigurationDialog", "automatic"))
        self.label_8.setText(_translate("IsortConfigurationDialog", "Lines Between Sections:"))
        self.linesBetweenSectionsSpinBox.setToolTip(_translate("IsortConfigurationDialog", "Enter the number of lines between import sections."))
        self.label_9.setText(_translate("IsortConfigurationDialog", "Lines Between Types:"))
        self.linesBetweenTypesSpinBox.setToolTip(_translate("IsortConfigurationDialog", "Enter the number of lines between import types."))
        self.trailingCommaCheckBox.setToolTip(_translate("IsortConfigurationDialog", "Select to include a trailing comma."))
        self.trailingCommaCheckBox.setText(_translate("IsortConfigurationDialog", "Include Trailing Comma"))
        self.parenthesesCheckBox.setToolTip(_translate("IsortConfigurationDialog", "Select for parenthesized import statements."))
        self.parenthesesCheckBox.setText(_translate("IsortConfigurationDialog", "Use Parentheses"))
        self.combineAsCheckBox.setToolTip(_translate("IsortConfigurationDialog", "Select to combine as imports on the same line."))
        self.combineAsCheckBox.setText(_translate("IsortConfigurationDialog", "Combine As Imports"))
